extends ../base.jade

block scripts
  script(src="//cdnjs.cloudflare.com/ajax/libs/lodash.js/2.4.1/lodash.min.js")
  script(src="//cdn.ckeditor.com/4.4.5/standard-all/ckeditor.js")

block vars
  - var page = 'edit'
  - var schema = [{name:'id',type:'hidden'},{name: 'author_id',value: session.user.id,type: 'hidden'},{name:'seo_keywords',title:'SEO - '+__('keywords'),type:'text'},{name:'seo_description',title:'SEO - '+__('description'),type:'text'},{name:'slug',type:'string',required:true,title:__('url_name')},{name:'lang',title:__('how_lang'),type:'select',select_type:'single',enum:['ru','en'],required:true},{name: 'title_img',type: 'file',file_type: 'image',title: __('banner')},{name: 'name',type: 'string',title: __('name'),required: true},{name: 'topics',type: 'array',title: __('theme_m'),required: true},{name: 'description',type: 'text', html:'maxi',title: __('description')},{name: 'needs',type: 'text',title: __('requirements')},{name: 'date',type: 'date',title: __('date_start'),required: true},{name: 'duration',type: 'integer',title: 'Продолжительность события (дней)',required: true},{name: 'type',type: 'select',select_type: 'single',enum: ['seminar', 'expo', 'webinar', 'conference', 'presentation', 'forum'],title: __('type'),required: true},{name: 'speakers',title: __('speaker_m'),type: 'select',nested: 'id',select_type: 'multi',ajax: '/ajax/user'},{name: 'tags',type: 'select',select_type: 'multi',nested: 'id',ajax: '/ajax/tag',title: __('tag_m')},{name: 'ticket_price',required:true ,type: 'array',array_type: 'join',title: __('ticket_price'),items: [{title: __('price'),type: 'integer'},{title: __('currency'),type: 'select',select_type: 'single',enum: ['rub', 'usd', 'eur']},{title: 'Тип покупки билета',type: 'string'}]},{name: 'contacts',title: __('contact_m'),type: 'json',items: [{name: 'id',type: 'hidden'},{name: 'city',title: __('city'),type: 'string',required: true},{name: 'fields',required: true ,title: __('additional_fields'),type: 'array',description:__('hint_event_contacts'),array_type: 'json',items: [{name: 'id',type: 'hidden'},{name: 'type',type: 'select',select_type: 'single',enum: ['skype', 'email', 'mobile_phone', 'city_phone', 'global_phone', 'vkontakte', 'facebook', 'twitter', 'linkedid', 'google', 'webpage', 'address', 'latlng'],selected: 'address',title: __('type'),required: true},{name: 'value',type: 'string',title: __('value'),required: true},{name: 'contact_id',type: 'hidden',before: {level: -2,name: 'id'}}] }]},{name: 'event_days',required:true, title: __('event_days_title'),type: 'array',array_type: 'json',items: [{name: 'id',type: 'hidden'},{name: 'event_id',type: 'hidden',value: event.id},{name: 'day_number',type: 'integer',title: __('day_number'),required: true},{name: 'description',type: 'text',title: __('description')},{name: 'day_start',type: 'time',title: __('time_start'),required: true},{name: 'day_end',type: 'time',title: __('time_end')},{name: 'parts',title: __('event_part_title'),type: 'array',array_type: 'json',items: [{name: 'id',type: 'hidden'},{name: 'event_day_id',type:'hidden'},{name:'ordinal_number',type:'integer',title: __('ordinal_number')},{name: 'part_start',type: 'time',title: __('time_start')},{name: 'part_end',type: 'time',title: __('time_end')},{name: 'speaker',type: 'string',title: __('event_part_speaker_info')},{name: 'speaker_id',type: 'select',select_type: 'single',ajax: '/ajax/user',title: __('profile_speaker')},{name: 'price',type: 'string',title: __('price')},{name: 'title',type: 'string',title: __('headline'),required: true},{name: 'html',type: 'text',html: 'event',title: __('description')}]}]},{name: 'participants',title: __('event_participants'),type: 'array',array_type:'json',items: [{name: 'id',type: 'hidden'},{name: 'event_id',type: 'hidden'},{name: 'name',title: __('name'),type: 'string',required: true},{name: 'logo',title: __('logo'),type: 'file',file_type: 'image'},{name: 'company_id',title: __('profile_company'),type: 'select',nested: 'id',select_type: 'single',ajax: '/ajax/company'},{name: 'role',title: __('participation_type'),required: true ,type: 'select',select_type: 'single',enum: ['organizer', 'general_funder', 'information_funder', 'funder', 'participant']}]}]
  //- - var schema = [
  //-     {
  //-       name:'id',
  //-       type:'hidden'
  //-     },
  //-     {
  //-       name: 'author_id',
  //-       value: session.user.id,
  //-       type: 'hidden'
  //-     },
  //-     {
  //-       name:'seo_keywords',
  //-       title:'SEO - '+__('keywords'),
  //-       type:'text'
  //-     },
  //-     {
  //-       name:'seo_keywords',
  //-       title:'SEO - '+__('description'),
  //-       type:'text'
  //-     },
  //-     {
  //-       name:'slug',
  //-       type:'string',
  //-       required:true,
  //-       title:__('url_name')
  //-     },
  //-     {
  //-       name:'lang',
  //-       title:__('how_lang'),
  //-       type:'select',
  //-       select_type:'single',
  //-       enum:['ru','en'],
  //-       required:true
  //-     },
  //-     {
  //-       name: 'title_img',
  //-       type: 'file',
  //-       file_type: 'image',
  //-       title: __('banner')
  //-     },
  //-     {
  //-       name: 'name',
  //-       type: 'string',
  //-       title: __('name'),
  //-       required: true
  //-     },
  //-     {
  //-       name: 'topics',
  //-       type: 'array',
  //-       title: __('theme_m'),
  //-       required: true
  //-     },
  //-     {
  //-       name: 'description',
  //-       type: 'text',
  //-       html: 'maxi',
  //-       title: __('description')
  //-     },
  //-     {
  //-       name: 'needs',
  //-       type: 'text',
  //-       title: __('requirements')
  //-     },
  //-     {
  //-       name: 'date',
  //-       type: 'date',
  //-       title: __('date_start'),
  //-       required: true
  //-     },
  //-     {
  //-       name: 'duration',
  //-       type: 'integer',
  //-       title: __('duration_days'),
  //-       required: true
  //-     },
  //-     {
  //-       name: 'type',
  //-       type: 'select',
  //-       select_type: 'single',
  //-       enum: ['seminar', 'expo', 'webinar', 'conference', 'presentation', 'forum'],
  //-       title: __('type'),
  //-       required: true
  //-     },
  //-     {
  //-       name: 'speakers',
  //-       title: __('speaker_m'),
  //-       type: 'select',
  //-       nested: 'id',
  //-       select_type: 'multi',
  //-       ajax: '/ajax/user'
  //-     },
  //-     {
  //-       name: 'tags',
  //-       type: 'select',
  //-       select_type: 'multi',
  //-       nested: 'id',
  //-       ajax: '/ajax/tag',
  //-       title: __('tag_m')
  //-     },
  //-     {
  //-       name: 'ticket_price',
  //-       type: 'array',
  //-       array_type: 'join',
  //-       title: __('ticket_price'),
  //-       items: [
  //-         {
  //-           title: __('price'),
  //-           type: 'integer'
  //-         },
  //-         {
  //-           title: __('currency'),
  //-           type: 'select'
  //-           select_type: 'single',
  //-           enum: ['rub', 'usd', 'eur']
  //-         },
  //-         {
  //-           title: __('type'),
  //-           type: 'string'
  //-         }
  //-       ]
  //-     },
  //-     {
  //-       name: 'contacts',
  //-       title: __('contact_m'),
  //-       type: 'json',
  //-       items: [
  //-         {
  //-           name: 'id',
  //-           type: 'hidden'
  //-         },
  //-         {
  //-           name: 'city',
  //-           title: __('city'),
  //-           type: 'string',
  //-           required: true
  //-         },
  //-         {
  //-           name: 'fields',
  //-           title: __('additional_fields'),
  //-           type: 'array',
  //-           description: __('hint_event_contacts'),
  //-           array_type: 'json',
  //-           items: [
  //-             {
  //-               name: 'id',
  //-               type: 'hidden'
  //-             },
  //-             {
  //-               name: 'type',
  //-               type: 'select',
  //-               select_type: 'single',
  //-               enum: ['skype', 'email', 'mobile_phone', 'city_phone', 'global_phone', 'vkontakte', 'facebook', 'twitter', 'linkedid', 'google', 'webpage', 'address', 'latlng'],
  //-               selected: 'address',
  //-               title: __('type'),
  //-               required: true
  //-             },
  //-             {
  //-               name: 'value',
  //-               type: 'string',
  //-               title: __('value'),
  //-               required: true
  //-             },
  //-             {
  //-               name: 'contact_id',
  //-               type: 'hidden',
  //-               before: {
  //-                 level: -2,
  //-                 name: 'id'
  //-               }
  //-             }
  //-           ] 
  //-         }
  //-       ]
  //-     },
  //-     {
  //-       name: 'event_days',
  //-       title: __('event_days_title'),
  //-       required: true,
  //-       type: 'array',
  //-       array_type: 'json',
  //-       items: [
  //-         {
  //-           name: 'id',
  //-           type: 'hidden'
  //-         },
  //-         {
  //-           name: 'event_id',
  //-           type: 'hidden',
  //-           value: event.id
  //-         },
  //-         {
  //-           name: 'day_number',
  //-           type: 'integer',
  //-           title: __('day_number'),
  //-           required: true
  //-         },
  //-         {
  //-           name: 'description',
  //-           type: 'text',
  //-           title: __('description')
  //-         },
  //-         {
  //-           name: 'day_start',
  //-           type: 'time',
  //-           title: __('time_start'),
  //-           required: true
  //-         },
  //-         {
  //-           name: 'day_end',
  //-           type: 'time',
  //-           title: __('time_end')
  //-         },
  //-         {
  //-           name: 'parts',
  //-           title: __('event_part_title'),
  //-           type: 'array',
  //-           array_type: 'json',
  //-           items: [
  //-             {
  //-               name: 'id',
  //-               type: 'hidden'
  //-             },
  //-             {
  //-               name: 'event_day_id',
  //-               type: 'hidden'                
  //-             },
  //-             {
  //-               name: 'ordinal_number',
  //-               type: 'integer',
  //-               title: __('ordinal_number')              
  //-             },
  //-             {
  //-               name: 'part_start',
  //-               type: 'time',
  //-               title: __('time_start')
  //-             },
  //-             {
  //-               name: 'part_end',
  //-               type: 'time',
  //-               title: __('time_end')
  //-             },
  //-             {
  //-               name: 'speaker',
  //-               type: 'string',
  //-               title: __('event_part_speaker_info')
  //-             },
  //-             {
  //-               name: 'speaker_id',
  //-               type: 'select',
  //-               select_type: 'single',
  //-               ajax: '/ajax/user',
  //-               title: __('profile_speaker')
  //-             },
  //-             {
  //-               name: 'price',
  //-               type: 'string',
  //-               title: __('price')
  //-             },
  //-             {
  //-               name: 'title',
  //-               type: 'string',
  //-               title: __('headline'),
  //-               required: true
  //-             },
  //-             {
  //-               name: 'html',
  //-               type: 'text',
  //-               html: 'maxi',
  //-               title: __('description')
  //-             }
  //-           ]
  //-         }
  //-       ]
  //-     },
  //-     {
  //-       name: 'participants',
  //-       title: __('event_participants'),
  //-       type: 'array',
  //-       array_type: 'json',
  //-       items: [
  //-         {
  //-           name: 'id',
  //-           type: 'hidden'
  //-         },
  //-         {
  //-           name: 'event_id',
  //-           type: 'hidden'
  //-         },
  //-         {
  //-           name: 'name',
  //-           title: __('name'),
  //-           type: 'string',
  //-           required: true
  //-         },
  //-         {
  //-           name: 'logo',
  //-           title: __('logo'),
  //-           type: 'file',
  //-           file_type: 'image'
  //-         },
  //-         {
  //-           name: 'company_id',
  //-           title: __('profile_company'),
  //-           type: 'select',
  //-           nested: 'id',
  //-           select_type: 'single',
  //-           ajax: '/ajax/company'
  //-         },
  //-         {
  //-           name: 'role',
  //-           title: __('participation_type'),
  //-           type: 'select',
  //-           required: true,
  //-           select_type: 'single',
  //-           enum: ['organizer', 'general_funder', 'information_funder', 'funder', 'participant']
  //-         }
  //-       ]
  //-     }
  //-   ]

block main
  .PW.isle
    //- pre= util.inspect(event)
    if action === 'create'
      h2= __('new_event')
    else 
      a.toRight.Fsg(href='/event/'+ event.slug +'/remove')= __('remove')
      h2= __('edit_event')
    
    //- form#newEvent(method="GET", action= "/test")
    form#newEvent(method="POST", action= "/event"+(action === 'edit'? '/'+event.slug : ''))
      input(type="hidden", name="_csrf", value= _csrf)
      != Html.edit_entity_form(event, schema, req.getLocale())
      button.button.active.UC(type="submit")= (action === 'create')? __('create') : __('save_changes')